Bug 202636 - xenconsoled should persistently log PV console output
xenconsoled should persistently log PV console output
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On: 244435
Blocks: 223911
  Show dependency treegraph
 
Reported: 2006-08-15 12:51 EDT by Rik van Riel
Modified: 2010-10-22 01:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against 3.1.0 to add logging of guest & hv (8.90 KB, patch)
2007-05-31 17:33 EDT, Daniel Berrange
no flags Details | Diff
Add persistent logging of guest consoles (10.60 KB, patch)
2007-06-08 11:13 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Rik van Riel 2006-08-15 12:51:24 EDT
Description of problem:

In order to have kernel oopsen, panics and other console output logged, to help
with the analysis of why a virtual machine got into trouble, it would be
extremely useful if Xen could log the paravirt console output to a file.

The best way is probably to have one file per virtual machine, with automatic
log rotating like ttywatch does...

This is a big issue, and should probably be fixed before RHEL5 GA goes out.
Comment 2 RHEL Product and Program Management 2007-03-26 17:03:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Daniel Berrange 2007-05-31 17:33:56 EDT
Created attachment 155846 [details]
Patch against 3.1.0 to add logging of guest & hv

NB. this patch will require some small work to backport to xen 3.1.0. We will
also need to play with initscripts to provide a way to start the xenconsoled
with logging arguments on its command line.
Comment 4 Daniel Berrange 2007-06-05 14:28:29 EDT
Patch is now upstream

http://xenbits.xensource.com/staging/xen-unstable.hg?rev/edf407a3dd70
Comment 5 Daniel Berrange 2007-06-08 11:13:28 EDT
Created attachment 156582 [details]
Add persistent logging of guest consoles
Comment 7 Daniel Berrange 2007-06-15 20:28:55 EDT
Build xen-3.0.3-29.el5 built into dist-5E-qu-candidate now has support for
persistent logging of guest consoles. It is not enabled by default. To test try
the following

 1. Edit /etc/sysconfig/xend and XENCONSOLED_LOG_GUESTS=yes
 2. Reboot
 3. Start a guest
 4. Look at /var/log/xen/console/guest-[name].log 

The guest-[name].log file should contain all data you'd otherwise see on 'virsh
console [name]'. The data should be logged even if you are connected via the
serial console.
Comment 9 Red Hat Bugzilla 2007-07-24 20:28:13 EDT
change QA contact
Comment 11 errata-xmlrpc 2007-11-07 12:05:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html

Note You need to log in before you can comment on or make changes to this bug.